<?php
namespace PowerElements\Controls;

defined( 'ABSPATH' ) || exit;

class Icons{
	public function __construct() {
		add_filter('elementor/icons_manager/additional_tabs', function($tabs){
			$tabs['peeaoicons'] = [
				'name' => 'peeaoicons',
				'label' => __( 'Power Icons', 'power-elements' ),
				'url' => POWER_ELEMENTS_DIR_URL . 'assets/css/peeaoicons.min.css',
				'enqueue' => [POWER_ELEMENTS_DIR_URL . 'assets/css/peeaoicons.min.css'],
				'prefix' => 'peeao-',
				'displayPrefix' => 'peeao',
				'labelIcon' => 'peeao-ios-add',
				'ver' => POWER_ELEMENTS_VERSION,
				'fetchJson' => POWER_ELEMENTS_DIR_URL . 'assets/js/peeaoicons.js?v=' . POWER_ELEMENTS_VERSION,
				'native' => false,
			];
			return $tabs;
		}, 10);
    }
}